Subject: Re: [PATCH iwl-next v2] ixgbe: Convert ret val type from s32 to int

From: Tony Nguyen <[email-masked]>
Date: Wed, 10 Jan 2024 10:56:20 -0800

On 1/10/2024 3:51 AM, Jagielski, Jedrzej wrote:
> From: Nguyen, Anthony L <[email-masked]>
> Sent: Friday, January 5, 2024 10:50 PM
> 
>> On 1/5/2024 2:31 AM, Jedrzej Jagielski wrote:

...

>>> @@ -93,11 +93,11 @@ static s32 ixgbe_get_invariants_82598(struct ixgbe_hw *hw)
>>>     *  not known.  Perform the SFP init if necessary.
>>>     *
>>>     **/
>>> -static s32 ixgbe_init_phy_ops_82598(struct ixgbe_hw *hw)
>>> +static int ixgbe_init_phy_ops_82598(struct ixgbe_hw *hw)
>>>    {
>>>    	struct ixgbe_mac_info *mac = &hw->mac;
>>>    	struct ixgbe_phy_info *phy = &hw->phy;
>>> -	s32 ret_val;
>>> +	int ret_val;
>>>    	u16 list_offset, data_offset;
>>
>> Should we RCT what we're touching? (many other instances in the patch as
>> well)
> 
> I am not sure if that's still in the scope of that patch

Not 100% the same situation, but it could be in the patch [1] or a 
separate one [2]. I prefer the latter as that's what I did :)

Thanks,
Tony

[1] 
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5180ff1364bc26c031b54a68a80aa90ce0028b70
[2] 
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5518ac2a64423f226e922b6719cf0eb62c31e141